# Generated by rust2rpm
%bcond_without check
%global debug_package %{nil}

%global crate nalgebra

Name:           rust-%{crate}
Version:        0.17.0
Release:        1%{?dist}
Summary:        Linear algebra library with transformations and matrices

# Upstream license specification: BSD-3-Clause
License:        BSD
URL:            https://crates.io/crates/nalgebra
Source:         %{crates_source}
# Initial patched metadata
# * rand/stdweb is not shipped
# * Exclude CI files, https://github.com/rustsim/nalgebra/pull/548
Patch0:         nalgebra-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(abomonation/default) >= 0.7.0 with crate(abomonation/default) < 0.8.0)
BuildRequires:  (crate(alga) >= 0.8.0 with crate(alga) < 0.9.0)
BuildRequires:  (crate(alga/std) >= 0.8.0 with crate(alga/std) < 0.9.0)
BuildRequires:  (crate(approx) >= 0.3.0 with crate(approx) < 0.4.0)
BuildRequires:  (crate(generic-array/default) >= 0.12.0 with crate(generic-array/default) < 0.13.0)
BuildRequires:  (crate(matrixmultiply/default) >= 0.2.0 with crate(matrixmultiply/default) < 0.3.0)
BuildRequires:  (crate(mint/default) >= 0.5.0 with crate(mint/default) < 0.6.0)
BuildRequires:  (crate(num-complex) >= 0.2.0 with crate(num-complex) < 0.3.0)
BuildRequires:  (crate(num-complex/serde) >= 0.2.0 with crate(num-complex/serde) < 0.3.0)
BuildRequires:  (crate(num-traits) >= 0.2.0 with crate(num-traits) < 0.3.0)
BuildRequires:  (crate(pest/default) >= 2.0.0 with crate(pest/default) < 3.0.0)
BuildRequires:  (crate(pest_derive/default) >= 2.0.0 with crate(pest_derive/default) < 3.0.0)
BuildRequires:  (crate(quickcheck/default) >= 0.8.0 with crate(quickcheck/default) < 0.9.0)
BuildRequires:  (crate(rand) >= 0.6.0 with crate(rand) < 0.7.0)
BuildRequires:  (crate(rand/std) >= 0.6.0 with crate(rand/std) < 0.7.0)
BuildRequires:  (crate(serde/default) >= 1.0.0 with crate(serde/default) < 2.0.0)
BuildRequires:  (crate(serde_derive/default) >= 1.0.0 with crate(serde_derive/default) < 2.0.0)
BuildRequires:  (crate(typenum/default) >= 1.10.0 with crate(typenum/default) < 2.0.0)
%if %{with check}
BuildRequires:  (crate(rand_xorshift/default) >= 0.1.0 with crate(rand_xorshift/default) < 0.2.0)
BuildRequires:  (crate(serde_json/default) >= 1.0.0 with crate(serde_json/default) < 2.0.0)
%endif

%global _description \
Linear algebra library with transformations and statically-sized or\
dynamically-sized matrices.

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE
%doc README.md CHANGELOG.md
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+abomonation-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+abomonation-devel %{_description}

This package contains library source intended for building other packages
which use "abomonation" feature of "%{crate}" crate.

%files       -n %{name}+abomonation-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+abomonation-serialize-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+abomonation-serialize-devel %{_description}

This package contains library source intended for building other packages
which use "abomonation-serialize" feature of "%{crate}" crate.

%files       -n %{name}+abomonation-serialize-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages
which use "alloc" feature of "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+arbitrary-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+arbitrary-devel %{_description}

This package contains library source intended for building other packages
which use "arbitrary" feature of "%{crate}" crate.

%files       -n %{name}+arbitrary-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+debug-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+debug-devel %{_description}

This package contains library source intended for building other packages
which use "debug" feature of "%{crate}" crate.

%files       -n %{name}+debug-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+io-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+io-devel %{_description}

This package contains library source intended for building other packages
which use "io" feature of "%{crate}" crate.

%files       -n %{name}+io-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+matrixmultiply-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+matrixmultiply-devel %{_description}

This package contains library source intended for building other packages
which use "matrixmultiply" feature of "%{crate}" crate.

%files       -n %{name}+matrixmultiply-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+mint-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+mint-devel %{_description}

This package contains library source intended for building other packages
which use "mint" feature of "%{crate}" crate.

%files       -n %{name}+mint-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+pest-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pest-devel %{_description}

This package contains library source intended for building other packages
which use "pest" feature of "%{crate}" crate.

%files       -n %{name}+pest-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+pest_derive-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pest_derive-devel %{_description}

This package contains library source intended for building other packages
which use "pest_derive" feature of "%{crate}" crate.

%files       -n %{name}+pest_derive-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+quickcheck-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+quickcheck-devel %{_description}

This package contains library source intended for building other packages
which use "quickcheck" feature of "%{crate}" crate.

%files       -n %{name}+quickcheck-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages
which use "serde" feature of "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+serde-serialize-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-serialize-devel %{_description}

This package contains library source intended for building other packages
which use "serde-serialize" feature of "%{crate}" crate.

%files       -n %{name}+serde-serialize-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+serde_derive-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde_derive-devel %{_description}

This package contains library source intended for building other packages
which use "serde_derive" feature of "%{crate}" crate.

%files       -n %{name}+serde_derive-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+sparse-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+sparse-devel %{_description}

This package contains library source intended for building other packages
which use "sparse" feature of "%{crate}" crate.

%files       -n %{name}+sparse-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages
which use "std" feature of "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sun Feb 17 2019 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.17.0-1
- Initial package
